> For the complete documentation index, see [llms.txt](https://docs.transparentedge.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.transparentedge.eu/getting-started/faq/features/reescritura-de-cabeceras.md).

# Rewriting of headers

Because we are based on [Varnish](https://www.varnish-software.com/) Enterprise software, Transparent Edge offers great flexibility when it comes to changing your website’s default behavior.&#x20;

Rewriting headers is very common and rather easy to do. The most typical cases are:

#### Rewriting the Host header

The typical use case:

```javascript
sub vcl_recv{
  if ((req.http.host == "www.transparentcdn.com") && (bereq.url ~ "/blog")) {
    set http.host == "blog.transparentcdn.com"
    set req.backend_hint = c83_tcdn.backend();
  }
}
```

#### Rewriting the Cache-Control header

```javascript
sub vcl_backend_response {
     if ((bereq.http.host == "www.transparentcdn.com") && (bereq.url ~ "/my-new-url")) {
            set beresp.http.Cache-Control = "max-age=0, s-maxage=10";
            set beresp.ttl = 10s;
    }
}
```

#### Deleting headers

Based on the previous example, we can erase the Cache-Control header that comes from the origin before forcing the cache time.

```javascript
sub vcl_backend_response {    
    if ((bereq.http.host == "www.transparent.com") && (bereq.url ~ "/my-new-url")) {
            unset beresp.http.Cache-Control;
            set beresp.http.Cache-Control = "max-age=0, s-maxage=10";
            set beresp.ttl = 10s;
    }
}    
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.transparentedge.eu/getting-started/faq/features/reescritura-de-cabeceras.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
